Help needed loading version 3.0 on 1G itouch!

Discussion in 'iPod touch' started by jflower1, Aug 28, 2010.

  1. jflower1

    jflower1 New Member

    Joined:
    Aug 28, 2010
    Messages:
    1
    Likes Received:
    0
    Device:
    iPod touch
    Hey,
    I have a 1st generation iTouch and let my itunes update my apps but now they won't run because my software version is 2.2.1 not 3.0. I bought it off itunes and left it to download but comeback and the version has not updated. I don't know why! Is a 1G itouch too old to support 3.0???
  2. Lux2GS

    Lux2GS Well-Known Member

    Joined:
    Jul 1, 2010
    Messages:
    3,678
    Likes Received:
    138
    Device:
    iPhone 4S (Black)
    no. Your iPod supports up to 3.1.3 - Buy it from iTunes

    Please Register or Log in to view images

Share This Page